2

It is my first time using Linux. What I would like is to run an app called SiteScope that requires Java.

I have already installed Java on my Linux, however when I open the browser I still get the message "A plugin is needed to display this content".

Any help to make it work, using the Oracle JRE (not OpenJDK's Iced Tea), will be appreciated.

enter image description here

4

Java plugin support in modern browsers is actually discontinued, see an explanation from support.mozilla.org, superuser answer and Oracle itself (the same for Chrome).

Oracle suggests using Internet Explorer or Safari (admitely not wery useful); or try an alternative browser - not sure how to install it in your distro but Pale Moon is a browser based on legacy Firefox, kepping some of it's discontinued APIs (inc. NPAPI needed by the Java plugin) - see this Ask Ubuntu question on how to enable the plugin there.

See the original guide by Oracle for case you can install an older version of the browser (the latest FF supporting the plugin is 52ESR resp. Chrome 44).

Edit: removed previously suggested IETab extension as I missed the fact it's Windows-only, added Pale Moon suggestion.

1
  • Hello Tomas the problem is that linux doesnt have internet explorer.
    – user273695
    Feb 2 '18 at 15:20

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy